Class State

Declaration :

- C++ : class State
- Java : public interface State

Directly inherited by : StateAdapter StateProxy

Artifact : stateproxy, Component(s) : Builder

Relation currFrame (<unidirectional association>)

Declaration :

- Uml : # currFrame : Frame
- C++ : protected: Frame * currFrame

Operation fetch

Declaration :

- Uml : + fetch() :
- C++ : public: fetch ()

Operation allocateBuffer

Declaration :

- Uml : + allocateBuffer() :
- C++ : public: allocateBuffer ()

Operation releaseBuffer

Declaration :

- Uml : + releaseBuffer() :
- C++ : public: releaseBuffer ()

Operation isCalculated

Declaration :

- Uml : + isCalculated() :
- C++ : public: isCalculated ()

All public operations : allocateBuffer , fetch , isCalculated , releaseBuffer